using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class OptionalValue : DataEntityBase
	{
		public OptionalValue()
		{
			base.InitMetaData();
		}

		private System.Int32 _ID;
		public System.Int32 ID
		{
			get
			{
				return this._ID;
			}
			set
			{
				this._ID = value;
				IsChanged = true;
			}
		}

		private System.String _Text;
		public System.String Text
		{
			get
			{
				return this._Text;
			}
			set
			{
				this._Text = value;
				IsChanged = true;
			}
		}

		private System.String _Value;
		public System.String Value
		{
			get
			{
				return this._Value;
			}
			set
			{
				this._Value = value;
				IsChanged = true;
			}
		}

		private System.String _Description;
		public System.String Description
		{
			get
			{
				return this._Description;
			}
			set
			{
				this._Description = value;
				IsChanged = true;
			}
		}

		private System.String _CreateUser;
		public System.String CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.String _UpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return this._UpdateDateTime;
			}
			set
			{
				this._UpdateDateTime = value;
				IsChanged = true;
			}
		}

		private System.Int16 _Flag;
		public System.Int16 Flag
		{
			get
			{
				return this._Flag;
			}
			set
			{
				this._Flag = value;
				IsChanged = true;
			}
		}

		private System.DateTime _FlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return this._FlagDateTime;
			}
			set
			{
				this._FlagDateTime = value;
				IsChanged = true;
			}
		}
	}
}